#ifndef WINDOW_H
#define WINDOW_H

#include <QWindow>
#include <QDebug>
#include <QKeyEvent>
#include <QtStudio3D/Q3DSPresentation>
#include <QTimer>
class Window : public QWindow
{
    Q_OBJECT
public:
    explicit Window(QWindow *parent = nullptr);

    void setPresentation(Q3DSPresentation* presentation)
    {
        if (presentation == nullptr)
        {
            qDebug() << "presentation is null";
            return;
        }
        m_presentation = presentation;
    }

protected:
    virtual void keyPressEvent(QKeyEvent *event)
    {
        if (m_presentation == nullptr)
        {
            return;
        }
        qDebug() << event->key() - 48 << "pressed";

        switch(event->key())
        {
        case Qt::Key_0:
            m_levelTimeLine++;
            qDebug() << "Current Number:" << m_levelTimeLine;
            m_presentation->setDataInputValue("NumberText", QVariant(QString::number(m_levelTimeLine)), true);
            break;
        case Qt::Key_1:
            m_levelTimeLine--;
            qDebug() << "Current Number:" << m_levelTimeLine;
            m_presentation->setDataInputValue("NumberText", QVariant(QString::number(m_levelTimeLine)), true);
            break;
        }
    }

private:
    Q3DSPresentation* m_presentation;
    uint m_levelTimeLine;
};

#endif // WINDOW_H
