#include <QGuiApplication>
#include <QWindow>
#include <QtStudio3D/Q3DSViewerSettings>
#include <QtStudio3D/Q3DSPresentation>
#include <QtStudio3D/Q3DSSurfaceViewer>
#include <QOpenGLContext>
#include <QDebug>
#include "Window.h"


int main(int argc, char *argv[])
{
    qputenv("Q3DS_DISTANCE_FIELD_DISABLED", "1");

    QGuiApplication app(argc, argv);
    QSize size(800,480);
    Window window;

    window.resize(size);
    window.setSurfaceType(QSurface::OpenGLSurface);
    window.create();
    Q3DSSurfaceViewer viewer;
    QOpenGLContext context;

    context.setFormat(window.format());
    context.create();


    viewer.presentation()->setSource(QUrl(QStringLiteral("qrc:/main.uia")));
    viewer.setUpdateInterval(0);
    viewer.settings()->setShowRenderStats(false);
    viewer.settings()->setScaleMode(Q3DSViewerSettings::ScaleModeCenter);
    viewer.create(&window, &context);

    window.setPresentation(viewer.presentation());

    window.show();



    return app.exec();
}
